#Galleria veloce ed effeciente per immagini, musica, e tutto quello che mi viene in mente
#e' sufficiente mettere i file nella dir photos
#posso proteggere  o meno l'accesso con ssl e la richiesta di user e password
#il pacchetto e distribuito da http://http://apachegallery.dk/ o puoi installare il pacchetto della tua distribuzione 
#modulo di configurazione da mettere in /etc/httpd/conf/webapps.d
#attenzione alla configurazione seguente di esempio
#i moduli devono essere messi in questo ordine 
#in PerlSetVar GalleryDocFile posso aggiungere tutti i tipi di file che voglio
#per la spiegazione dei parametri vedi il README di installazione
#
# apache-gallery Apache configuration

Alias /FOTO/static /var/www//FOTO/static
Alias /FOTO /var/www//FOTO/photos

<Directory /var/www/FOTO>
   Options Indexes
   AuthType Basic
   AuthName "System Administrator"
   AuthUserFile /etc/httpd/conf/xxx.passwd
   require valid-user
#                      #      SSLRequireSSL
</Directory>

<IfModule mod_perl.c>
    PerlSetVar GalleryTemplateDir '/usr/share/apache-gallery/default'
    PerlSetVar GalleryCacheDir    '/var/cache/apache-gallery/FOTO'
    PerlSetVar GalleryURLBase     '/FOTO/static/'
    PerlOptions +GlobalRequest
<Directory /var/www/html/FOTO>
        Allow from all
</Directory>
<Directory /var/www/html/FOTO/photos>
SetHandler modperl
PerlResponseHandler Apache::Gallery
PerlSetVar GalleryAutoRotate '1'
PerlSetVar GalleryMaxThumbnailsPerPage '50'
PerlSetVar GalleryRootText 'ArenaHome'
PerlSetVar GalleryTTFDir '/usr/share/fonts/'
PerlSetVar GalleryTTFFile 'verdanab.ttf'
PerlSetVar GalleryCopyrightText '(c) Donato Arena - ArenaHome'
PerlSetVar GalleryCopyrightColor '255,127,0,127'
PerlSetVar GalleryTTFSize '10'
PerlSetVar GalleryUnderscoresToSpaces '1'
#PerlSetVar GallerySelectionMode '1'
PerlSetVar GalleryQuality '50'
PerlSetVar GalleryImgFile '\.(jpe?g|png|tiff?|ppm)$'
PerlSetVar GalleryDocFile '\.(mpe?g|avi|mov|asf|wmv|doc|mp3|ogg|pdf|rtf|wav|dlt|mp4|flv|rmi|kar|agp|zip|txt|html?|csv|eps)$'
</Directory>
<Directory /var/cache/apache-gallery/FOTO>
    Allow from all
</Directory>

</ifModule>
